com.pixelmed.doseocr

## Class LegacyRadiationDoseOCRDicomForwardingService.OurReceivedObjectHandler

- java.lang.Object
- - com.pixelmed.network.ReceivedObjectHandler
  - - com.pixelmed.doseocr.LegacyRadiationDoseOCRDicomForwardingService.OurReceivedObjectHandler

Enclosing class:
  LegacyRadiationDoseOCRDicomForwardingService

    protected class LegacyRadiationDoseOCRDicomForwardingService.OurReceivedObjectHandler
    extends ReceivedObjectHandler

### Constructor Summary

Constructors
`protected` `LegacyRadiationDoseOCRDicomForwardingService.OurReceivedObjectHandler()`

### Method Summary

Methods
`void` `sendReceivedObjectIndication(java.lang.String dicomFileName, java.lang.String transferSyntax, java.lang.String callingAETitle)` Do something with the received data set stored in the specified file name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyRadiationDoseOCRDicomForwardingService.OurReceivedObjectHandler

    protected LegacyRadiationDoseOCRDicomForwardingService.OurReceivedObjectHandler()

### Method Detail

#### sendReceivedObjectIndication

    public void sendReceivedObjectIndication(java.lang.String dicomFileName,
                                    java.lang.String transferSyntax,
                                    java.lang.String callingAETitle)
                                      throws DicomNetworkException,
                                             DicomException,
                                             java.io.IOException

Description copied from class: `ReceivedObjectHandler`

Do something with the received data set stored in the specified file name.

Specified by:
  `sendReceivedObjectIndication` in class `ReceivedObjectHandler`
Parameters:
  `dicomFileName` -
  `transferSyntax` -
  `callingAETitle` -
Throws:
  `java.io.IOException`
  `DicomException`
  `DicomNetworkException`